dotnet-package-remove(1)

dotnet package remove

This article applies to: ✔️ .NET Core 3.1 SDK and later versions

NAME

dotnet-package-remove - Removes package reference from a project file.

    If you’re using .NET 9 SDK or earlier, use the “verb first” form (dotnet-remove-package) instead. The “noun first” form was introduced in .NET 10. For more information, see More consistent command order.

SYNOPSIS

    dotnet package remove <PACKAGE_NAME> [--project <PROJECT>]

    dotnet package remove -h|--help

DESCRIPTION

The dotnet package remove command provides a convenient option to remove a NuGet package reference from a project.

ARGUMENTS

PROJECT

Specifies the project file. If not specified, the command searches the current directory for one.

PACKAGE_NAME

The package reference to remove.

OPTIONS

•   -?|-h|--help

    Prints out a description of how to use the command.

EXAMPLES

•   Remove Newtonsoft.Json NuGet package from a project in the current directory:

        dotnet package remove Newtonsoft.Json